﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class CrushDetector : MonoBehaviour {

    public int framesToBeCrushed;
    public GameController gc;
    private int crushedForAmountOfFrames;

    private void OnCollisionStay2D(Collision2D collision)
    {
        if (collision.gameObject.name == "Ball")
        {
            crushedForAmountOfFrames++;
        }

        if (crushedForAmountOfFrames >= framesToBeCrushed)
        {
            gc.resetGame(false);
        }
    }

    private void OnCollisionExit2D(Collision2D collision)
    {
        crushedForAmountOfFrames = 0;
    }
    // Use this for initialization
    void Start () {
        crushedForAmountOfFrames = 0;
	}
	
	// Update is called once per frame
	void Update () {
		
	}
}
