﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class FixRotationPod : MonoBehaviour {

    Quaternion rotation;
    Quaternion startRotation;
    Quaternion lastRotation;
    public float tiltPercent;
    public float maxRotation;
    public bool isStatic;
    void Awake()
    {
        startRotation = transform.rotation;
        lastRotation = startRotation;
    }
    private void LateUpdate()
    {
        if(!isStatic)
        { 
            transform.rotation = startRotation;
            transform.Rotate(new Vector3(0, tiltPercent*maxRotation, 0), Space.Self);
        }
        else
        {
            transform.rotation = startRotation;
        }
    }
}
